Skip to main content

Documentation Index

Fetch the complete documentation index at: https://yieldxyz.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Yield.xyz supports 80+ blockchain networks spanning EVM chains, Cosmos ecosystem, Substrate-based chains, and other major Layer 1s. New networks are added regularly as we expand yield coverage.

EVM Networks

18 chains including Ethereum, Base, Arbitrum, Optimism

Cosmos Ecosystem

30+ IBC-enabled chains

Other L1s

Solana, Cardano, Polkadot, TON, and more

EVM Networks

NetworkIDNative Token
EthereumethereumETH
AvalancheavalancheAVAX
BNB ChainbinanceBNB
GnosisgnosisxDAI
CronoscronosCRO
SonicsonicS

Cosmos Ecosystem

Native staking and IBC-enabled yield opportunities across the Cosmos ecosystem.
NetworkIDToken
Cosmos HubcosmosATOM
OsmosisosmosisOSMO
dYdXdydxDYDX
InjectiveinjectiveINJ
SeiseiSEI
CelestiacelestiaTIA
KavakavaKAVA
AxelaraxelarAXL
NetworkIDToken
AkashakashAKT
PersistencepersistenceXPRT
SecretsecretSCRT
QuicksilverquicksilverQCK
SommeliersommelierSOMM
RegenregenREGEN
Gravity Bridgegravity-bridgeGRAV
NetworkIDToken
JunojunoJUNO
StargazestargazeSTARS
AgoricagoricBLD
Band Protocolband-protocolBAND
MantramantraOM
SagasagaSAGA
DymensiondymensionDYM
NetworkIDToken
BitsongbitsongBTSG
ChihuahuachihuahuaHUAHUA
ComdexcomdexCMDX
CoreumcoreumCOREUM
CrescentcrescentCRE
CryptoOrgcryptoorgCRO
CudoscudosCUDOS
DesmosdesmosDSM
FetchAIfetchaiFET
HumansAIhumansaiHEART
IrisnetirisnetIRIS
Ki-Networkki-networkXKI
OnomyonomyNOM
SentinelsentinelDVPN
TeritoriteritoriTORI
UmeeumeeUMEE

Other Networks

Major Layer 1 blockchains outside EVM and Cosmos ecosystems.
NetworkIDTokenEcosystem
SolanasolanaSOLSolana
CardanocardanoADACardano
PolkadotpolkadotDOTSubstrate
KusamakusamaKSMSubstrate
BittensorbittensorTAOSubstrate
NEARnearNEARNEAR
TezostezosXTZTezos
TrontronTRXTron
TONtonTONTON

Testnets

For development and testing purposes.
TestnetIDMainnet Equivalent
Ethereum Sepoliaethereum-sepoliaEthereum
Ethereum Holeskyethereum-holeskyEthereum
Ethereum Hoodiethereum-hoodiEthereum
Base Sepoliabase-sepoliaBase
Polygon Amoypolygon-amoyPolygon
Solana Devnetsolana-devnetSolana
TON Testnetton-testnetTON
Stellar Testnetstellar-testnetStellar
WestendwestendPolkadot
Use testnet network IDs with your staging API key (yk_test_...) for development.

Using Network IDs

Network IDs are used throughout the API to specify which blockchain to interact with.

In API requests

# Filter yields by network
curl "https://api.yield.xyz/v1/yields?network=ethereum" \
  -H "x-api-key: yk_live_..."

# Get balances for a network
curl -X POST "https://api.yield.xyz/v1/yields/balances" \
  -H "x-api-key: yk_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "addresses": [
      { "address": "0x1234...", "network": "ethereum" },
      { "address": "cosmos1...", "network": "cosmos" }
    ]
  }'

In action requests

{
  "yieldId": "ethereum-eth-lido-staking",
  "address": "0x1234...",
  "arguments": {
    "amount": "1000000000000000000"
  }
}
The network is typically inferred from the yieldId — you don’t need to specify it separately in action requests.

List Networks via API

Fetch all supported networks programmatically.
curl --request GET \
  --url https://api.yield.xyz/v1/networks \
  --header 'accept: application/json' \
  --header 'x-api-key: YOUR_API_KEY'

Example response

[
  {
    "id": "ethereum",
    "name": "Ethereum",
    "category": "evm",
    "logoURI": "https://assets.stakek.it/networks/ethereum.svg"
  },
  {
    "id": "cosmos",
    "name": "Cosmos Hub",
    "category": "cosmos",
    "logoURI": "https://assets.stakek.it/networks/cosmos.svg"
  },
  {
    "id": "solana",
    "name": "Solana",
    "category": "solana",
    "logoURI": "https://assets.stakek.it/networks/solana.svg"
  }
]

Network Categories

Networks are grouped by category in API responses:
CategoryDescription
evmEthereum Virtual Machine compatible chains
cosmosCosmos SDK / Tendermint chains
substratePolkadot/Substrate-based chains
solanaSolana
tezosTezos
cardanoCardano
nearNEAR Protocol
tonTON
tronTron

Next Steps

Supported Yields

Browse yield opportunities by network

Networks API

Full API documentation

Staking Coverage

Native staking by chain

DeFi Coverage

DeFi protocols by network